<?php
namespace Teknisa\MAN\Controllers;

use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Teknisa\MAN\Services\AtualizaFilialConsumidorService;
use Zeedhi\Framework\DTO\Response\Notification;
use Teknisa\MAN\Services;
use Teknisa\MAN\Utilities;

class AtualizaFilialConsumidor{
    
    public function __construct(AtualizaFilialConsumidorService $AtualizaFilialConsumidorService, Utilities\Util $utilService) {
        $this->AtualizaFilialConsumidorService = $AtualizaFilialConsumidorService;
        $this->utilService = $utilService;
    }
    
    public function findUnidadeCliente(DTO\Request\Filter $request, DTO\Response $response) {
    
        $conditions = $this->utilService->getParamsAsArray($request);
        $result = $this->AtualizaFilialConsumidorService->find($conditions);
        $response->addDataSet(new DataSet("select_filial_cliente", $result));
    }
    
    public function atualizaFilialCli(DTO\Request $request, DTO\Response $response){
        try{
            $conditions = $request->getDataSet()->getRows()[0];
            $result = $this->AtualizaFilialConsumidorService->atualizaUnidade($conditions);
        }
        catch(\Exception $e){
            throw $e;
        }
    }
}